.directions {
    padding: 0 0 100px 0;
}

.directions__wrapper {
    display: flex;
    flex-direction: column;
    position: relative;
    gap: 52px;
}

.directions__top {
    display: flex;
    padding: 0 48px;
    justify-content: space-between;
    align-items: center;
}

.directions__top h3 {
    font-family: e-Ukraine;
    font-weight: 400;
    font-style: Regular;
    font-size: 32px;
    leading-trim: NONE;
    line-height: 46px;
    letter-spacing: 0%;
    vertical-align: middle;
    color: #444444;
}

.all-directions {
    font-family: e-Ukraine;
    font-weight: 400;
    font-style: Regular;
    font-size: 15.88px;
    leading-trim: NONE;
    line-height: 20px;
    letter-spacing: -0.32px;
    vertical-align: middle;
    color: #3a8bce;
    padding: 16px 17px;
    border: 2px solid #3a8bce;
    border-radius: 200px;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}

.all-directions:hover {
    background: #3a8bce;
    color: white;
}

.swiper-directions {
    position: relative;
    width: calc(100% - 96px) !important;
    overflow: hidden;
    margin: 0 auto;
}

/*.swiper-wrapper {*/
/*    margin: 0 48px;*/
/*    width: calc(100% - 96px) !important;*/
/*}*/

.swiper-slide {
    display: flex !important;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    justify-content: center;
    padding: 32px 0;
    border-radius: 12px;
    background: #F5F5F5;
}

.swiper-slide .img-wrapper {
    width: 220px;
    height: 220px;
}

.swiper-slide .img-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.swiper-slide span {
    font-family: e-Ukraine;
    font-weight: 400;
    font-style: Regular;
    font-size: 16px;
    leading-trim: NONE;
    line-height: 100%;
    letter-spacing: 0%;
    text-align: center;
    max-width: 276px;
    color: #444444;
}

.directions-navigate {
    position: absolute;
    top: 60%;
    transform: translateY(-50%);
    left: 0;
    display: flex;
    justify-content: space-between;
    z-index: 1;
    width: 100%;
}

.app-container.dir {
    max-width: calc(1440px - 32px);
}

@media screen and (max-width: 1024px) {
    .directions {
        padding: 32px 0;
    }

    .directions__wrapper {
        gap: 24px;
    }

    .directions__top {
        padding: 0 16px;
        gap: 12px;
        flex-direction: column;
    }

    .directions__top h3 {
        font-size: 24px;
    }

    .all-directions {
        padding: 12px;
        width: calc(100% - 24px);
        text-align: center;
        font-size: 14px;
    }

    .swiper-wrapper {
        width: calc(100% - 64px) !important;
    }

    .swiper-slide {
        display: flex !important;
        flex-direction: column;
        gap: 10px;
        align-items: center;
        justify-content: center;
    }

    .swiper-slide .img-wrapper {
        width: 220px;
        height: 220px;
    }

    .swiper-slide .img-wrapper img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .directions-navigate {
        position: absolute;
        top: 60%;
        transform: translateY(-50%);
        left: 16px;
        display: flex;
        justify-content: space-between;
        z-index: 1;
        width: calc(100% - 32px);
    }

    .app-container.dir {
        max-width: calc(1440px - 32px);
    }
}
